#include "lumberjackClient.h"
#include <string>
#include <iostream>
#include <OS.h>

int
main(int argc, char *argv[]) {

	lumberjack::logger l;
	
	cout << "Testing system logger service...\n";	
	cout << "server is up: " << l.serverIsRunning() << "\n";
	cout.flush();
	
	for (int i=0; i<100; ++i) {
	
	l.log(string("test-client"), i, 1, string("System"), string("Testing operation of system application logger."));
	l.log(string("test-client"), i, 1, string("System"), string("\tAnother test. This is a longer test.  It is in fact, a quite long test.\n\tThis contains newlines which will be transformed safely for the text file, and then retransformed on display so that every line break is there."));
	
	}
	
	cout << "finished.\n";
	
	snooze(1000000);
}