#include "lumberjackClient.h"

void 
lumberjack::logger::log(string app, unsigned severity, unsigned event_id, string error_class, string desc) {
			
			BMessage msg;
			
			BString d(desc.c_str());
			
			d.ReplaceAll('\n', '`');
			
			msg.AddString("app", BString(app.c_str()));
			msg.AddString("error_class", BString(error_class.c_str()));
			msg.AddString("desc", d);
			msg.AddInt32("severity", severity);
			msg.AddInt32("event_id", event_id);
			
			unsigned buffersize = msg.FlattenedSize();
			char *buf = new char[buffersize];
			
			msg.Flatten(buf, buffersize);
						
			if (write_port(dest, LOG_MESSAGE, buf, buffersize)==B_BAD_PORT_ID) {			
				dest = find_port("lumberjack-logging-facility");
				if (write_port(dest, LOG_MESSAGE, buf, buffersize)!=B_OK) {
					int err;
					
					err=1;				
				}
			}
					
			delete buf;			
			
		}